Forum rss-feed

Forum

Software: EigenD 2.1.7 community release (all platforms)

Most Recent

written by: dggontan

Hello Mark,

Downloaded and running mac 64bit version. Many thanks for taking the time to improve the software and sharing with the community.

Kind Regards,

Daniel

written by: TheTechnobear

Thu, 8 Dec 2016 17:13:48 +0000 GMT

New EigenD release (2.1.7) now available for macOS 32 &64 bit, Win32, Linux 64bit, Linux ARM 32bit

UPDATE: windows version updated on 8/12/2016, removes necessity to copy runtime around, instead uses 1.0.0 as before.


TheTechnobear's community 2.1.7 release

associated Eigenharp community google+ post here

Please read included release notes for important information and installation notes.

changes:
- updated to latest Juce framework (4.3.0)
- improved 64 bit support macOS
- fix macOS 32 bit to python from /usr/local/pi
- improved linux build
- fix eigenD hanging on exit
- workbench: select agent menu, pressing letter selects first agent
- updated release notes and introduce install notes into doc.

Enjoy
Mark

p.s. if you download, please say HI here, and let me know which platform your running on
(windows/mac/linux/pi) , its nice to know how many users are out there, and what they are running on.


written by: ivan

Fri, 2 Dec 2016 17:39:29 +0000 GMT

Hi Mark,
Downloaded and installed. EigenD and Workbench don't start. Stage starts. EigenD's icon pops up but in a couple of seconds disappears.
System has 2.1.2 release installed (if it matters).
MBP, macOS Sierra 10.12.1


written by: ivan

Fri, 2 Dec 2016 21:17:51 +0000 GMT

ImportError: No module named site

Perhaps, that's the problem.. But didn't figure out yet how to solve it.


written by: ivan

Fri, 2 Dec 2016 21:56:52 +0000 GMT

ok, python was default one in /System.
downloaded from python.org and got it into /Library.
now all starts and working.
Thanks!


written by: earthspot

Fri, 2 Dec 2016 23:35:35 +0000 GMT

Hi Mark,
You ask (on Google+) to know who's still interested in this.
…I am, though not installed yet. Will do as soon as I find time.

Platform: iMac, El Capitan.


written by: TheTechnobear

Sat, 3 Dec 2016 09:55:11 +0000 GMT

@ivan , this sounds very much like incorrect installation of the the mac 64bit version?

if so the installation instructions (in release notes) cover this.

as stated, users should read the release notes, it includes important information.


written by: ivan

Sat, 3 Dec 2016 12:29:12 +0000 GMT

Yep, 64bit version. I did read the instructions, but thought why would I need two installations of python of same version if I had one already.. but now it is in the right place.
Thanks for the effort Mark!


written by: TheTechnobear

Sat, 3 Dec 2016 12:56:37 +0000 GMT

ivan said:
but thought why would I need two installations of python of same version if I had one already


its a good question, actually its down wanting to push EigenD forward on to the latest python version, initially 2.7.12 (then perhaps 3).

I haven't done this yet, as Ive stumbled on to other issues, with the way Eigenlabs have packaged python and its packages... which means Id need to rebuild these.... but as yet, eigenlabs have not supplied me (open sourced) with the relevant build source code require for the runtime library. so this would require more effort than I have time for at the moment, so thought better to get it out 'as is'.

its an interesting 'area'... If i don't get the necessary files for building the runtime, then Im going to have to decide on the fate of EigenCommander / EigenBrowser, as these are currently 'crippled' due to it... its a horrible/fragile dependancy.


written by: TheTechnobear

Thu, 8 Dec 2016 17:12:40 +0000 GMT

dear windows users ,
Ive updated the win32 version, so that it no longer requires runtime-1.0.1, it uses 1.0.0 like previous versions. Id recommend updating , and then you can delete runtime-1.0.1 to keep things 'tidy'
enjoy
Mark


written by: haydon

Wed, 28 Dec 2016 16:00:30 +0000 GMT

Ummm....feeling somewhat confused and reluctant to take the first purchasing step...
I have a macbook air and have used windows in the past - 3.2 was the first and XP the last. When I look at the software etc requirements, I see that I can't use my macbook - or I don't think I can as it is running OSX 10.11.6 and has only a 1.6 ghz processor. Do I need to spec a standalone machine and if so, where can I get the specs from. I feel the software and system requirements are sparse. Where do I go for advice. Thanks and apologies if this is in the wrong thread. Happy New year


written by: keyman

Thu, 29 Dec 2016 14:05:57 +0000 GMT

Hi Haydon, better post this in a new/fresh thread for a number of reasons ;-)
I will reply there.


written by: viansi

Fri, 3 Feb 2017 10:05:21 +0000 GMT

ข่าวที่น่าทึ่ง


written by: dggontan

Mon, 29 May 2017 18:19:58 +0100 BST

Hello Mark,

Downloaded and running mac 64bit version. Many thanks for taking the time to improve the software and sharing with the community.

Kind Regards,

Daniel



Please log in to join the discussions